> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a bom

> Create a bom

### Request body

`CreateBomRequest`

<ParamField body="components" type="array,null" />

<ParamField body="description" type="string,null" />

<ParamField body="name" type="string" required />

<ParamField body="product_id" type="string" required />

<ParamField body="revision" type="string,null" />

### Responses

<ResponseField name="201" type="BomResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/boms' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "components": null,
    "description": null,
    "name": "string",
    "product_id": "string",
    "revision": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "bom_number": "string",
    "component_count": 1,
    "created_at": "string",
    "description": null,
    "id": "string",
    "name": "string",
    "product_id": "string",
    "revision": "string",
    "status": "string"
  }
  ```
</ResponseExample>
